### Method

# Gio MemoryOutputStream steal_as_bytes

since: 2.34

#### Declaration

    GBytes*
    g_memory_output_stream_steal_as_bytes (
      GMemoryOutputStream* ostream
    )

#### Description

Returns data from the `ostream` as a `GBytes`. `ostream` must be closed before calling this function.

Available since: 2.34

#### Return value

Type: `GBytes`

The stream’s data.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.